Loading...
Searching...
No Matches
pcl::registration::sortCorrespondencesByDistance Struct Reference
Module registration

sortCorrespondencesByDistance : a functor for sorting correspondences by distance More...

`#include <pcl/registration/correspondence_sorting.h>`

## Public Types

using | first_argument_type = pcl::Correspondence
using | second_argument_type = pcl::Correspondence
using | result_type = bool

## Public Member Functions

bool | operator() (pcl::Correspondence a, pcl::Correspondence b)

## Detailed Description

sortCorrespondencesByDistance : a functor for sorting correspondences by distance

Author
  Dirk Holz

Definition at line 83 of file correspondence_sorting.h.

## Member Typedef Documentation

## first_argument_type

using pcl::registration::sortCorrespondencesByDistance::first_argument_type = pcl::Correspondence

Definition at line 84 of file correspondence_sorting.h.

## result_type

using pcl::registration::sortCorrespondencesByDistance::result_type = bool

Definition at line 86 of file correspondence_sorting.h.

## second_argument_type

using pcl::registration::sortCorrespondencesByDistance::second_argument_type = pcl::Correspondence

Definition at line 85 of file correspondence_sorting.h.

## Member Function Documentation

## operator()()

bool pcl::registration::sortCorrespondencesByDistance::operator() | ( | pcl::Correspondence | a,
|  | pcl::Correspondence | b
| ) |  |

inline

Definition at line 88 of file correspondence_sorting.h.

References pcl::Correspondence::distance.

The documentation for this struct was generated from the following file:

- pcl/registration/correspondence_sorting.h